Đến nội dung


Hình ảnh
- - - - -

[yêu cầu] sửa giúp em lisp tạo cung tròn cho đỉnh Pline


  • Please log in to reply
12 replies to this topic

#1 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 06 February 2013 - 06:54 PM

Nhờ các anh sửa giúp em với yêu cầu sau:
gõ lệnh => chọn Pline => xong

bỏ bớt giúp em những dòng hỏi màu đỏ dưới đây:
Command: Test
Select objects: 1 found
Select objects:
Specify Circle Radius :0.1 (ĐỂ MẶC ĐỊNH 0.1, KHÔNG HỎI)
Enter Layer name :0 (TỰ TẠO LAYER CÓ MẦU SỐ 4, TÊN LAYER LÀ ĐIỂM VÀ CUNG TRÒN CÓ MÀU ĐÓ. KHÔNG HỎI)
cảm ơn các anh!


(defun c:Test (/ ss di la) ;;; Tharwat 14. Nov. 2012 ;;;
(if (and (setq ss (ssget '((0 . "*POLYLINE"))))
(setq di (getdist "\n Specify Circle Radius :"))
(not (eq (setq la (getstring t "\n Enter Layer name :")) ""))
(tblsearch "LAYER" la) ) ((lambda (x / e)
(while (setq e (ssname ss (setq x (1+ x))))
(foreach dxf (entget e) (if (eq (car dxf) 10)
(entmakex (list '(0 . "CIRCLE") dxf (cons 40 di) (cons 8 la)))
) ) ) ) -1 ) (princ) ) (princ))

  • 0

#2 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 06 February 2013 - 07:33 PM

Cái ni để nhoc mò thử nhá mấy huynh :D
  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#3 Hantinhsaycad

Hantinhsaycad

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 1073 Bài viết
Điểm đánh giá: 376 (khá)

Đã gửi 06 February 2013 - 08:22 PM

Ồ Nhóc bảo mọi người nghỉ tết để cho Nhóc cặm cụi thui ?


298 người đang online

3 thành viên, 295 khách, 0 thành viên ẩn danh (See full list )



Hantinhsaycad, Google, nhoclangbat, Facebook, Doan Van Ha


  • 0

Đừng để một ai chẳng nhận được gì khi rời chỗ bạn, cho dù bạn biết rằng không bao giờ gặp lại.

Ngạn ngữ Pháp


#4 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 06 February 2013 - 08:48 PM

Nhờ các anh sửa giúp em với yêu cầu sau:
gõ lệnh => chọn Pline => xong

bỏ bớt giúp em những dòng hỏi màu đỏ dưới đây:
Command: Test
Select objects: 1 found
Select objects:
Specify Circle Radius :0.1 (ĐỂ MẶC ĐỊNH 0.1, KHÔNG HỎI)
Enter Layer name :0 (TỰ TẠO LAYER CÓ MẦU SỐ 4, TÊN LAYER LÀ ĐIỂM VÀ CUNG TRÒN CÓ MÀU ĐÓ. KHÔNG HỎI)
cảm ơn các anh!

-SAu 1 hồi mò mẫn cuối cùng nhoc cũng mò đc theo đúng yêu cầu của bạn ni :D
Nhưng có 1 chỗ oái ăm nhoc chưa hỉu là tự tạo layer màu số 4, tên layer la diem ko có gì phải bàn nhưng hình tròn vẽ ra lại là màu số 1 ??? >>nhoc hỉu sai chăng :D
Trước mắt làm theo những gì nhoc hỉu

;Edit by nhoclangbat ^^
(defun c:ttt (/ ss)
(command "-layer" "m" "diem" "C" 4 "diem" "")
(if (and (setq ss (ssget '((0 . "*POLYLINE"))))
)
((lambda (x / e)
(while (setq e (ssname ss (setq x (1+ x))))
(foreach dxf (entget e) (if (eq (car dxf) 10)
(entmakex (list '(0 . "CIRCLE") '(62 . 1) dxf (cons 40 0.1) (cons 8 "diem")))
) ) ) ) -1 ) (princ) )
(princ))

Ps: thật ra mí hàm này anh Ket chưa dạy tới nhưng may hồi đó đc anh Bình hướng dẫn sữa cái lsp vn2000 làm nhìu nên cũng nắm đc sơ sơ mí cái mã dfx rùi hàm entmake tạo đối tượng, if , ..... chứ nhoc cũng chả hỉu chi rứa ^^ :D
  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#5 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 06 February 2013 - 09:05 PM

số 0.1 đó là bán kính đường tròn anh ạ
  • 0

#6 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 06 February 2013 - 09:08 PM

thì bán kính đúng = 0.1 mừ bạn thử chưa ^^
  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#7 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 06 February 2013 - 09:10 PM

à đúng ý em, rồi chỉ còn mầu nưa là ổn anh nhỉ! bbbb
  • 0

#8 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 06 February 2013 - 09:14 PM

thế bạn thích cái chi màu rứa :D
  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#9 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 06 February 2013 - 09:16 PM

đ ược rồi anh, sửa chỗ này là ok, cảm ơ n anh nhiều !
(entmakex (list '(0 . "CIRCLE") '(62 . 4) dxf (cons 40 0.1) (cons 8 "diem")))
  • 1

#10 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 06 February 2013 - 09:22 PM

sax

Enter Layer name :0 (TỰ TẠO LAYER CÓ MẦU SỐ 4, TÊN LAYER LÀ ĐIỂM VÀ CUNG TRÒN CÓ MÀU ĐÓ. KHÔNG HỎI)

layer diem màu =4, cung tròn màu đỏ =1, nhoc làm y chang ^^
Thui dù sao cũng hoành thành :D
  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#11 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 06 February 2013 - 09:29 PM

Enter Layer name :0 (TỰ TẠO LAYER CÓ MẦU SỐ 4, TÊN LAYER LÀ ĐIỂM VÀ CUNG TRÒN CÓ MÀU ĐÓ. KHÔNG HỎI)
màu đó là màu số 4, tại em nói khô ng rõ đ ấy . cảm ơ n anh nhiều !â y
  • 0

#12 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 06 February 2013 - 09:31 PM

Ấy chết sr... hoangkimanh nhá, mắt nhoc cận nãy giờ ko đeo kính giờ đeo mới thấy ĐÓ CHỨ KO PHẢI ĐỎ.
:D :D :D
  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#13 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 February 2013 - 10:27 AM

Ấy chết sr... hoangkimanh nhá, mắt nhoc cận nãy giờ ko đeo kính giờ đeo mới thấy ĐÓ CHỨ KO PHẢI ĐỎ.
:D :D :D

Hề hề hề,

Chả biết Nhóc còn nhìn nhầm cái chi nữa nhể??? 

Hãy đọc lại tên tiêu đề của topic nha.

Cái Nhóc sửa là vẽ thêm một vòng tròn tại đỉnh của polyline chứ đâu phải tạo cung tròn cho đỉnh Pline

Lẽ ra nên hỏi kỹ chủ thớt trước khi sửa. 

@ Chủ thớt: Cần học cách trình bày vấn đề sao cho người đọc không hiểu nhầm. Giữa tên topic và cái chủ thớt cần có vẻ như đang muốn chửi nhau to đấy.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.